#ifndef __NODE_H_
#define __NODE_H_

typedef struct node{
  char* name;

  int childc;
  struct node** childv;
  struct node* parent;

} NOD_Node;

NOD_Node* NOD_CreateNode(char* name);
void NOD_DestroyNode(NOD_Node* node);

void NOD_NodeAddChild(NOD_Node* parent, NOD_Node* child);
void NOD_NodeRemoveChild(NOD_Node* parent, NOD_Node* child);

#endif // __NODE_H_
